## sddm-kcm 5.20.5

=== CMakeLists.txt ===
project(sddm-kcm)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(PROJECT_VERSION "5.20.5")

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    XmlGui
    Auth
    ConfigWidgets
    KIO
    Archive
    NewStuff
)

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()


add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

install(FILES kcm_sddm.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)

add_executable(kcmsddm_authhelper sddmauthhelper.cpp)
target_link_libraries(kcmsddm_authhelper KF5::AuthCore KF5::ConfigCore KF5::Archive KF5::I18n)

kauth_install_helper_files(kcmsddm_authhelper org.kde.kcontrol.kcmsddm root)
install(TARGETS kcmsddm_authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

#installer tool for knewstuff
add_executable(sddmthemeinstaller
    sddmthemeinstaller.cpp
)

target_link_libraries(sddmthemeinstaller
    KF5::I18n
    KF5::AuthCore
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::WidgetsAddons)
install(TARGETS sddmthemeinstaller ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(src)
install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
set(SDDM_CONFIG_FILE                 "${CMAKE_INSTALL_FULL_SYSCONFDIR}/sddm.conf"        CACHE PATH      "Path of the sddm config file")
set(SDDM_CONFIG_DIR                  "${CMAKE_INSTALL_FULL_SYSCONFDIR}/sddm.conf.d"      CACHE PATH      "Path of the sddm config directory")
set(SDDM_SYSTEM_CONFIG_DIR           "${CMAKE_INSTALL_PREFIX}/lib/sddm/sddm.conf.d"      CACHE PATH      "Path of the system sddm config directory")
set(XSESSIONS_DIR                    "${CMAKE_INSTALL_PREFIX}/share/xsessions"           CACHE PATH      "Path of the xsessions")
set(WAYLAND_SESSIONS_DIR             "${CMAKE_INSTALL_PREFIX}/share/wayland-sessions"    CACHE PATH      "Path of the wayland sessions")

configure_file(config.h.in config.h IMMEDIATE @ONLY)
# add_subdirectory(configwidgets)

include_directories(configwidgets)

set(SDDM_KCM_SRCS
    sddmkcm.cpp
    themeconfig.cpp
    themesmodel.cpp
    thememetadata.cpp
    themesdelegate.cpp
    advancedconfig.cpp
    usersmodel.cpp
    sessionmodel.cpp
    configwidgets/selectimagebutton.cpp
)

set(SDDM_KCM_UI
    ui/themeconfig.ui
    ui/advancedconfig.ui)

ki18n_wrap_ui(SDDM_KCM_SRCS ${SDDM_KCM_UI})
add_library(kcm_sddm MODULE ${SDDM_KCM_SRCS})
target_compile_definitions(kcm_sddm PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kcm_sddm
    Qt5::Widgets
    Qt5::Quick
    Qt5::QuickWidgets
    KF5::I18n
    KF5::ConfigWidgets
    KF5::AuthCore
    KF5::KIOWidgets
    KF5::NewStuff
)

install(TARGETS kcm_sddm DESTINATION ${CMAKE_INSTALL_PLUGINDIR})

install(FILES qml/main.qml DESTINATION ${CMAKE_INSTALL_DATADIR}/sddm-kcm)

=== debian/changelog ===
sddm-kcm (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:54 +0900

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               libkf5archive-dev (>= 5.74.0~),
               libkf5auth-dev (>= 5.74.0~),
               libkf5configwidgets-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5newstuff-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.74.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.20.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.20.90")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.78")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -13,6 +13,9 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(FeatureSummary)
+if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
+    include(KDEGitCommitHooks)
+endif()
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
 
@@ -25,6 +28,8 @@
     KIO
     Archive
     NewStuff
+    Declarative
+    KCMUtils
 )
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
@@ -67,6 +72,9 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== debian/changelog ===
sddm-kcm (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:46:43 +0000

## sddm-kcm 5.21.0

=== debian/changelog ===
sddm-kcm (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:43 +0000

## sddm-kcm 5.21.1

=== debian/changelog ===
sddm-kcm (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:08:05 +0000

## sddm-kcm 5.21.2

=== debian/changelog ===
sddm-kcm (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:14:31 +0000

## sddm-kcm 5.21.3

=== debian/changelog ===
sddm-kcm (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:37:00 +0000

## sddm-kcm 5.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.20.90")
+set(PROJECT_VERSION "5.21.4")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.78")

=== debian/changelog ===
sddm-kcm (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:11:36 +0100

## sddm-kcm 5.21.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.21.4")
+set(PROJECT_VERSION "5.21.5")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.78")

=== debian/changelog ===
sddm-kcm (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:04:30 +0100

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,16 @@
                libkf5auth-dev (>= 5.74.0~),
                libkf5configwidgets-dev (>= 5.74.0~),
                libkf5coreaddons-dev (>= 5.74.0~),
+               libkf5declarative-dev (>= 5.74~),
                libkf5i18n-dev (>= 5.74.0~),
+               libkf5kcmutils-dev (>= 5.74~),
                libkf5kio-dev (>= 5.74.0~),
                libkf5newstuff-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~)
+               qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/sddm-kcm
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm

## sddm-kcm 5.22.0

=== debian/changelog ===
sddm-kcm (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 20:45:03 +0100

## sddm-kcm 5.22.1

=== debian/changelog ===
sddm-kcm (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:12:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5archive-dev (>= 5.74.0~),
-               libkf5auth-dev (>= 5.74.0~),
-               libkf5configwidgets-dev (>= 5.74.0~),
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5declarative-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5kcmutils-dev (>= 5.74~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5newstuff-dev (>= 5.74.0~),
-               libkf5xmlgui-dev (>= 5.74.0~),
+               libkf5archive-dev (>= 5.82.0~),
+               libkf5auth-dev (>= 5.82.0~),
+               libkf5configwidgets-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5newstuff-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## sddm-kcm 5.22.2

=== debian/changelog ===
sddm-kcm (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 19:00:01 +0100

## sddm-kcm 5.22.2.1

=== debian/changelog ===
sddm-kcm (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:57:29 +0100

## sddm-kcm 5.22.3

=== debian/changelog ===
sddm-kcm (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:08:33 +0100

## sddm-kcm 5.22.4

=== debian/changelog ===
sddm-kcm (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:57 +0100

## sddm-kcm 5.22.5

=== debian/changelog ===
sddm-kcm (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:51:55 +0200

## sddm-kcm 5.23.0

=== debian/changelog ===
sddm-kcm (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:54:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.82.0~),
                gettext,

## sddm-kcm 5.23.2

=== debian/changelog ===
sddm-kcm (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:52:25 +0000

## sddm-kcm 5.23.3

=== debian/changelog ===
sddm-kcm (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:19:33 +0000

sddm-kcm (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:43:41 +0900

sddm-kcm (4:5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:04 +0900

sddm-kcm (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:16 +0900

sddm-kcm (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:25:28 +0200

sddm-kcm (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:56:01 +0200

sddm-kcm (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:49:11 +0200

sddm-kcm (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:43 +0900

sddm-kcm (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:51 +0900

sddm-kcm (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:41 +0900

sddm-kcm (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:28 +0900

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               gettext,
               libkf5archive-dev (>= 5.86~),
               libkf5auth-dev (>= 5.86~),
               libkf5configwidgets-dev (>= 5.86~),
               libkf5coreaddons-dev (>= 5.86~),
               libkf5declarative-dev (>= 5.86~),
               libkf5i18n-dev (>= 5.86~),
               libkf5kcmutils-dev (>= 5.86~),
               libkf5kio-dev (>= 5.86~),
               libkf5newstuff-dev (>= 5.86~),
               libkf5xmlgui-dev (>= 5.86~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.23.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,20 @@
 project(sddm-kcm)
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.21.5")
+cmake_minimum_required(VERSION 3.16)
+set(PROJECT_VERSION "5.23.4")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.78")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(ECMInstallIcons)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(FeatureSummary)
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    include(KDEGitCommitHooks)
-endif()
+include(KDEGitCommitHooks)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
 
@@ -32,16 +31,13 @@
     KCMUtils
 )
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
-
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
-install(FILES kcm_sddm.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})
+install(FILES kcm_sddm.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
 
 kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)
 
@@ -72,9 +68,7 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== debian/changelog ===
sddm-kcm (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:58:56 +0000

## sddm-kcm 5.23.5

=== debian/changelog ===
sddm-kcm (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:45:15 +0100

sddm-kcm (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:26:06 +0100

## sddm-kcm 5.23.90

=== debian/changelog ===
sddm-kcm (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:21:04 +0000

sddm-kcm (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:42:46 +0000

## sddm-kcm 5.24.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.23.4")
+set(PROJECT_VERSION "5.24.0")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.86")
@@ -37,7 +37,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
-install(FILES kcm_sddm.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
+install(FILES kcm_sddm.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 
 kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)

=== debian/changelog ===
sddm-kcm (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:29:37 +0000

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkf5archive-dev (>= 5.86~),
-               libkf5auth-dev (>= 5.86~),
-               libkf5configwidgets-dev (>= 5.86~),
-               libkf5coreaddons-dev (>= 5.86~),
-               libkf5declarative-dev (>= 5.86~),
-               libkf5i18n-dev (>= 5.86~),
-               libkf5kcmutils-dev (>= 5.86~),
-               libkf5kio-dev (>= 5.86~),
-               libkf5newstuff-dev (>= 5.86~),
-               libkf5xmlgui-dev (>= 5.86~),
+               libkf5archive-dev (>= 5.90.0~),
+               libkf5auth-dev (>= 5.90.0~),
+               libkf5configwidgets-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5declarative-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5kcmutils-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## sddm-kcm 5.24.1

=== debian/changelog ===
sddm-kcm (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:23:19 +0000

## sddm-kcm 5.24.2

=== debian/changelog ===
sddm-kcm (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 22:00:09 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               gettext,
               libkf5archive-dev (>= 5.86~),
               libkf5auth-dev (>= 5.86~),
               libkf5configwidgets-dev (>= 5.86~),
               libkf5coreaddons-dev (>= 5.86~),
               libkf5declarative-dev (>= 5.86~),
               libkf5i18n-dev (>= 5.86~),
               libkf5kcmutils-dev (>= 5.86~),
               libkf5kio-dev (>= 5.86~),
               libkf5newstuff-dev (>= 5.86~),
               libkf5xmlgui-dev (>= 5.86~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.24.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.24.0")
+set(PROJECT_VERSION "5.24.3")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.86")

=== debian/changelog ===
sddm-kcm (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:49:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Harald Sitter <apachelogger@kubuntu.org>,
+           Norbert Preining <norbert@preining.info>,
+           Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <deltaone@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.86~),

## sddm-kcm 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.24.3")
+set(PROJECT_VERSION "5.24.4")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.86")

=== debian/changelog ===
sddm-kcm (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:22:27 +0100

sddm-kcm (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:16:51 +0000

sddm-kcm (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:03:56 +0000

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5archive-dev (>= 5.90.0~),
               libkf5auth-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.24.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.5")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.86")

=== debian/changelog ===
sddm-kcm (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:00 +0200

sddm-kcm (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:47:58 +0200

## sddm-kcm 5.24.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.24.5")
+set(PROJECT_VERSION "5.24.6")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.86")

=== debian/changelog ===
sddm-kcm (4:5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:07:05 +0100

## sddm-kcm 5.24.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.24.6")
+set(PROJECT_VERSION "5.24.90")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.86")
+set(KF5_MIN_VERSION "5.90")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -16,7 +16,7 @@
 include(FeatureSummary)
 include(KDEGitCommitHooks)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons

=== debian/changelog ===
sddm-kcm (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:45:23 +0200

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Harald Sitter <apachelogger@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90~),
               gettext,
               libkf5archive-dev (>= 5.90~),
               libkf5auth-dev (>= 5.90~),
               libkf5configwidgets-dev (>= 5.90~),
               libkf5coreaddons-dev (>= 5.90~),
               libkf5declarative-dev (>= 5.90~),
               libkf5i18n-dev (>= 5.90~),
               libkf5kcmutils-dev (>= 5.90~),
               libkf5kio-dev (>= 5.90~),
               libkf5newstuff-dev (>= 5.90~),
               libkf5xmlgui-dev (>= 5.90~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.25.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.24.90")
+set(PROJECT_VERSION "5.25.0")
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.90")

=== debian/changelog ===
sddm-kcm (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:39 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/sddm-kcm
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git

## sddm-kcm 5.25.1

=== debian/changelog ===
sddm-kcm (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:29:15 +0100

sddm-kcm (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:07:46 +0100

sddm-kcm (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:43:25 +0100

sddm-kcm (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:50:40 +0100

## sddm-kcm 5.25.2

=== debian/changelog ===
sddm-kcm (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:18:57 +0100

## sddm-kcm 5.25.3

=== debian/changelog ===
sddm-kcm (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Add a dependency on systemsettings used to invoke the KCM.
  * Add lintian override for sddmthemeinstaller having no manpage
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:28:28 +0200

sddm-kcm (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:22 +0200

## sddm-kcm 5.25.4

=== debian/changelog ===
sddm-kcm (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 11:18:47 +0100

sddm-kcm (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:33:10 +0200

sddm-kcm (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 18:01:23 +0100

sddm-kcm (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:45:53 +0100

## sddm-kcm 5.25.5

=== debian/changelog ===
sddm-kcm (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:41 +0200

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Harald Sitter <apachelogger@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkf5archive-dev (>= 5.94~),
               libkf5auth-dev (>= 5.94~),
               libkf5configwidgets-dev (>= 5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5declarative-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5kcmutils-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5newstuff-dev (>= 5.94~),
               libkf5xmlgui-dev (>= 5.94~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.25.90

=== debian/changelog ===
sddm-kcm (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5archive-dev (>= 5.94~),
-               libkf5auth-dev (>= 5.94~),
-               libkf5configwidgets-dev (>= 5.94~),
-               libkf5coreaddons-dev (>= 5.94~),
-               libkf5declarative-dev (>= 5.94~),
-               libkf5i18n-dev (>= 5.94~),
-               libkf5kcmutils-dev (>= 5.94~),
-               libkf5kio-dev (>= 5.94~),
-               libkf5newstuff-dev (>= 5.94~),
-               libkf5xmlgui-dev (>= 5.94~),
+               libkf5archive-dev (>= 5.98.0~),
+               libkf5auth-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5kcmutils-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5newstuff-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.2~),

## sddm-kcm 5.26.0

=== debian/changelog ===
sddm-kcm (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:20 +0200

## sddm-kcm 5.26.2

=== debian/changelog ===
sddm-kcm (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:11:50 +0000

sddm-kcm (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:34:07 +0100

## sddm-kcm 5.26.3

=== debian/changelog ===
sddm-kcm (4:5.26.3-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu maintainer and Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 21 Nov 2022 15:23:49 +0000

sddm-kcm (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:45:12 +0100

sddm-kcm (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:33:33 +0200

## sddm-kcm 5.26.4

=== debian/changelog ===
sddm-kcm (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:05:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sddm-kcm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Harald Sitter <apachelogger@kubuntu.org>,
            Norbert Preining <norbert@preining.info>,
@@ -27,8 +28,8 @@
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/sddm-kcm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
 Rules-Requires-Root: no
 
 Package: kde-config-sddm

## sddm-kcm 5.26.5

=== debian/changelog ===
sddm-kcm (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:21:38 +0100

sddm-kcm (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:04:36 +0100

## sddm-kcm 5.26.90

=== debian/changelog ===
sddm-kcm (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sddm-kcm
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Harald Sitter <apachelogger@kubuntu.org>,
            Norbert Preining <norbert@preining.info>,
@@ -26,10 +25,10 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/sddm-kcm
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
 Rules-Requires-Root: no
 
 Package: kde-config-sddm

## sddm-kcm 5.27.0

=== debian/changelog ===
sddm-kcm (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:42 +0100

## sddm-kcm 5.27.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "5.25.0")
+set(PROJECT_VERSION "5.27.1")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.90")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -15,6 +15,7 @@
 include(KDEClangFormat)
 include(FeatureSummary)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
 
@@ -31,13 +32,12 @@
     KCMUtils
 )
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-
-install(FILES kcm_sddm.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 
 kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)
 
@@ -58,7 +58,7 @@
     KF5::CoreAddons
     KF5::ConfigCore
     KF5::WidgetsAddons)
-install(TARGETS sddmthemeinstaller ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS sddmthemeinstaller ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 add_subdirectory(src)
 install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
@@ -70,5 +70,4 @@
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== debian/changelog ===
sddm-kcm (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:49:00 +0000

sddm-kcm (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:43:03 +0000

sddm-kcm (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:31:59 +0000

sddm-kcm (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 08:59:08 +0000

sddm-kcm (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 08:22:47 +0000

## sddm-kcm 5.27.2

=== debian/changelog ===
sddm-kcm (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:00:29 +0100

## sddm-kcm 5.27.3

=== debian/changelog ===
sddm-kcm (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:20:38 +0000

sddm-kcm (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:25:16 +0000

## sddm-kcm 5.27.4.1

=== debian/changelog ===
sddm-kcm (4:5.27.4.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:40:05 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Harald Sitter <apachelogger@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5archive-dev (>= 5.102.0~),
               libkf5auth-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.
